<div class="renseigneFormInside">
    <div style="clear:both">
        <a class="btn btn-xs btn-default" href="#" onclick="sendData('sysma_relation_id={{V.sysma_relation_id}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}&sysma_object_id={{sysma_object_id}}&sysma_object_type_id={{sysma_object_type_id}}', '{{url('sysma-relation-parameter-value')}}', 'renseigneFormTr{{V.sysma_relation_id}}{{V.parameter_id}}', event);"><span class="glyphicon glyphicon-remove"></span> Annuler</a>
    </div>


    <h2>Renseignement de la value <strong>{{ V.parameter.parameter|raw }} </strong></h2>

    <form method="post" action="enregistrement.php"  id="FormTr{{ V.sysma_relation_id }}{{ V.parameter_id }}">


        <div class="form-group">

            <label>Valeur : </label>

            {% if (V.parameter.dataType == 'booleanType') %}
                <select name="value" class="form-control" >
                    <option value="1">Oui</option>
                    <option value="0">Non</option>
                </select>

            {% elseif V.parameter.dataType == 'textChoiceType' %}
                {% set details =  null %} 
                <select name="value" class="form-control" >
                    {% for choice in V.choicesArray %}
                        <option value="{{ choice.choice }}">{{ choice.choice|raw }}

                            {% if choice.description != null %}
                                {% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
                            {% endif %}
                        </option>
                    {% endfor %}
                </select>


            {% elseif V.parameter.dataType == 'multipleTextChoiceType' %}
                {% set details = null %} 
                <br>
                {% for choice in V.choicesArray %}

                    <input type="checkbox" value="1" name="choice{{ choice.choice_id }}" /> {{ choice.choice|raw }}<br/>
                    {% if choice.description != null %} 
                        {% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
                    {% endif %}
                {% endfor %}


            {% elseif V.parameter.dataType == 'hyperlink' %}
				<input class="form-control" name="value" value="" id="inputRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}" onkeyup="checkHyperLink(this.value, 'Relation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}">
				</div> 

            {% elseif V.parameter.dataType == 'longTextType' %}
                <textarea class="form-control"  name="value" style="width:90%;"></textarea>

             {% elseif V.parameter.dataType == 'integerType' %}
                <input type="number"  step="1" class="form-control"  name="value" value=""  id="inputRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}" onkeyup="checkInteger(this, 'Relation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}">
				</div>     

            {% elseif V.parameter.dataType == 'floatType' %}
                 <input class="form-control"  name="value" value=""  id="inputRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}" onkeyup="checkFloat(this, 'Relation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}">
				</div>  

            {% elseif V.parameter.dataType == 'dayMonthYearDateType' %}
                <input type="date" class="form-control"  name="value" value=""  />

            {% elseif V.parameter.dataType == 'monthYearDateType' %}
                <input type="month" class="form-control"  name="value" value=""  />    

            {% else %}
                <input class="form-control"  name="value" value="" />
            {% endif %}  

        </div>



        <button class="btn btn-primary" id="buttonRelation{{ V.sysma_relation_id }}Parameter{{ V.parameter_id }}"

                {% if V.parameter.dataType != 'multipleTextChoiceType' %}
                    onClick="sendFormAndRedirect('FormTr{{ V.sysma_relation_id }}{{ V.parameter_id }}', '{{ url('sysma-relation-parameter-value-create-commit')}}', 'sysma_relation_id={{V.sysma_relation_id}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}&sysma_object_id={{sysma_object_id}}', '{{ url('sysma-relation-parameter-value')}}', 'renseigneFormTr{{ V.sysma_relation_id }}{{ V.parameter_id }}', event);"
                {% else %}
                    onClick="sendFormAndRedirect('FormTr{{ V.sysma_relation_id }}{{ V.parameter_id }}', '{{ url('sysma-relation-parameter-multiple-value-create-commit')}}', 'sysma_relation_id={{V.sysma_relation_id}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}&sysma_object_id={{sysma_object_id}}', '{{ url('sysma-relation-parameter-value')}}', 'renseigneFormTr{{ V.sysma_relation_id }}{{ V.parameter_id }}', event);"
                {% endif %}  
                >Renseigner</button>




        {% if details|default(null) != null %} 
            <div id="detailsChoix">
                <p class="text-right">
                    <a class="btn btn-xs btn-default" role="button" data-toggle="collapse" href="#collapseDetails{{ V.data_index }}" aria-expanded="false" aria-controls="collapseExample">
                        Afficher les détails des choix
                    </a>
                </p>
                <div class="collapse" id="collapseDetails{{ V.data_index }}">                   
                    <ul>
                        {{ details|raw }}
                    </ul>
                </div>
            </div>
        {% endif %}


        <input type="hidden" value="{{ V.parameter_id }}" name="parameter_id" />
        <input type="hidden" value="{{ V.sysma_relation_id }}" name="sysma_relation_id" />       
        <input type="hidden" value="{{ sysma_object_type_id }}" name="sysma_object_type_id" />       
        <input type="hidden" value="{{ indexDonnee }}" name="data_index" />






    </form>
</div>

